function [array] = D4_1(M,N,h)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This is the Sinc matrix for 
% approximating the derivative of a 
% function on the interval (0,infinity),
% which is approximated via use of the 
% phi(x) = log(sinh(x)) transformation, 
% and based on differentiating the sum  
% sum_{-M}^N f(z_k) S(k,h)(phi(x))
%
m = M+N+1;
w = weights4(M,N,h);
B = inv(diag(w));
%
array = B*Ip1(m);
