%
% The 2d Discrete Fourier Transform 
%  Matrix
%
function [array] = ftransmat(X,N)
%
NN = 2*N+1;
T = i*pi/N;
%
for l = 1:NN
    for m=1:NN
        A(l,m) = exp((l-1-N)*(m-1-N)*T);
    end
end
%
% Now halve the first and last cols:
%
for m=1:NN
    A(m,1) = A(m,1)/2;
    A(m,NN) = A(m,NN)/2;
end
array = X/N*A;
