%
% `q_both5.m'
%
%  This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [p,pp,q,qp] = q_both5(x)
%
% This routine corresponds to the fifth entry 
% of Tables  1.1 and 1.2 in Sec. 1.5.7 for 
% integration over (- infinity, infinity) of 
% a function that satisfies the conditions of 
% the transformation # 5 in Sec. 1.5.3.
%;
y = x^2;
p = (1/2)*(x - 1/x);
pp = (1/2)*(1+y);
q = - p;
qq = pp/y;
