function [array] = D2_1(a,b,M,N,h)
%
% This program is copyrighted by SINC, LLC
% an belongs to SINC, LLC
%
% This is the Sinc matrix for 
% approximating the derivative of a 
% function on a finite interval (a,b)
% based on differentiating  
% sum_{-M}^N f(z_k) S(k,h(phi)(x))
%
m = M+N+1;
w = weights2(a,b,M,N,h);
B = inv(diag(w));
%
array = B*Ip1(m);
