function [array] = D5_1(M,N,h)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This is the Sinc matrix for 
% approximating the derivative of a 
% function on the whole real line,
% which is approximated via use of the 
% phi(x) = log(x + sqrt(1+x^2)) 
% transformation in the sum
% sum_{-M}^N f(z_k) S(k,h)(phi(x))
%
m = M+N+1;
w = weights5(M,N,h);
B = inv(diag(w));
%
array = B*Ip1(m);
