%
% `Hilbert2_ex.m'
%
% Some examples via the routine 
% Hilb_hunter.m
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
clear all
format long e
M = 20;
N = 20;
kk = floor(2*N/3);
% kk=0;
m = M+N+1;
h = 1.5/sqrt(N);
%
T0 = inline('1');
T1 = inline('x');
T2 = inline('x^2');
z = Sincpoints2(-1,1,M,N,h);
w = weights2(-1,1,M,N,h);
%
for j=1:m
    t=z(j);
    t0(j) = T0(t);
    TT0(j) = (M+1-j)/pi;
    t1(j) = T1(z(j));
    TT1(j) = (2 + t*(M+1-j))/pi;
    t2(j) = T2(t);
    TT2(j) = (2*t + t^2*(M+1-j))/pi; 
end
%
H = Hilb_hunter(-1,1,M,N,h);
%
uu0 = H*t0.';
uu1 = H*t1.';
uu2 = H*t2.';
%
plot(z,uu0,'x',z,TT0,'-')
pause
plot(z,uu1,'x',z,TT1,'-')
pause
plot(z,uu2,'x',z,TT2,'-')



