%
% 'der_test4.m"
% 
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This program evaluates the derivative of 
% the function 1 - e^x on (0,infinity) via 
% use of the D44 matrix.
%
clear all
N=10;
h=pi/sqrt(N);
z = Sincpoints_4(N,N,h);
w = weights_4(N,N,h);
m=2*N+1;
for j=1:m
     ff(j) = 1-exp(-z(j));
end
ff = ff';
A = D44(N,N,h);
fd = A*ff;
plot(z,ff)
pause
plot(z,fd)
pause
for k=1:m-10
fdd(k) = fd(k+5);
fff(k) = exp(-z(k+5));
zz(k) = z(k+5);
end
plot(zz,fdd)
pause
plot(zz,fdd,'.',zz,fff)
