%
% `g2_over_two_g1.m'
%
function [val] = g2_over_two_g1(M,N,h) 
%
% This program is copyrighted by SINC, LLC
% an belongs to SINC, LLC
%
% This program produces a numerically 
% stable evaluation of a_{j,j} in 
% (1.7.6).
%
m = M+N+1;
z = Sincpoints3(M,N,h);
%
for j=1:m
    a = z(j);
    val(j) = 0;
    for k= [1:j-1 j+1:m]
        b = z(k);
        val(j) = val(j) + (1+a)*(1+b)/(a - b); 
    end
end
