%
% 'invphi7.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function y = invphi7(u,v,x)
% 
% See Example 1.4.10
%                                                                      
U = exp(i*u/2);
V = exp(i*v/2);
UV = U*V;
VoU = V/U;
w = exp(x);
y = (w*V^2 + UV)/(w + VoU) 
