%
% `lap_tr_invR2'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function G = lap_tr_invR2(u,v)
%
% This is the 2-d "Laplace transform" of 1/sqrt(x^2+y^2)
%
lam = sqrt(1/u^2 + 1/v^2);
zeta = sqrt((1/u + i/v)/(1/u-i/v));
G = -1/lam*(Qfunc(i*zeta) - Qfunc(-i*zeta));
