%
% `lap_tr_wave4_old.m
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%unction G = lap_tr4_wave(u,v,w,t,c)
%
ct = 1/(c*t);
F = -1/4/pi/i;
lam1 = 1/v^2 + 1/w^2;
R1 = sqrt(ct^2 - lam1);
lam1 = sqrt(lam1);
lam2 = 1/w^2 + 1/u^2;
R2 = sqrt(ct^2 - lam2);
lam2 = sqrt(lam2);
lam3 = 1/u^2 + 1/v^2;
R3 = sqrt(ct^2 - lam3);
lam3 = sqrt(lam3); 
W1 = sqrt((1/v + i/w)/(1/v-i/w));
W2 = sqrt((1/w + i/u)/(1/w-i/u));
W3 = sqrt((1/u + i/v)/(1/u-i/v)); 
z1p = W1/lam1*(-ct + R1);   
z1m = W1/lam1*(-ct - R1);
z2p = W2/lam2*(-ct + R2);
z2m = W2/lam2*(-ct - R2);
z3p = W3/lam3*(-ct + R3);
z3m = W3/lam3*(-ct - R3);
H1 = F/u/R1*(Qfunc(z1p) - Qfunc(z1m));
H2 = F/v/R2*(Qfunc(z2p) - Qfunc(z2m));
H3 = F/w/R3*(Qfunc(z3p) - Qfunc(z3m));
R = 1/(ct^2 - 1/u^2 - 1/v^2 - 1/w^2);
G = R*(1/8 + H1 + H2 + H3);
