%
% 'phi6.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% Sinc map #6 of R -> R
%
% returns a vector phi6(x) 
% = log(sinh(x + sqrt(1+x^2)))
%
% This is the map phi of Transformation 
% \#6 (Example 1.5.9) which maps 
% R onto R, and which is used to approximate i
% functions that have algebraic decay at 
% (+/-) infinity on R.
%
% returns a vector 
%
% phi6(x) = log(sinh(u))
%
% where u = x + sqrt(1+x^2)
%

function y = phi6(x)

  y = log(sinh(xplusroot(x)));    
