%
% `psi4_2.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% returns a vector 
%
%   (psi4)"(x) = e^x/(1+e^{2x})^{3/2}
%
% where psi4(x) = log(e^x + (1+e^{2x})^{1/2})
% 

function y = psi4_2(x)
%
u = exp(x);
y = u/(sqrt(1+u^2))^3;
