%
% `waveletint_o.m'
% 
function E = waveletint_o(N,P,x)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% waveletint_o(N,P,x) computes the function 
% E_o(M,P,x) defined as in (1.4.93).  
%
c = 2*pi/P;
E = x; 
for k=1:N
    ck = c*k;
    E = E + 2/ck*sin(ck*x);
end
%
E = E/(2*N+1);
%
